Introduction

 Top Next

RadioCaster is a program for taking any audio - including analog - connected to your computer or playback device and broadcasting it online to the whole world. That means seamless use of old audio sources, existing radio broadcasts, and other materials while maintaining your own digital presence. Configuration is painless, while detailed statistics help you keep track of your audience.

RadioCaster also supports various styles.

This help file is for RadioCaster 2.5

Copyright 2003-2017 DJSoft.Net. All rights reserved.

RadioCaster is the property of DJSoft.Net and is protected by international copyright law.


How to register

 Top Previous Next

RadioCaster is distributed on a try-before-you-buy basis. You can download a trial version of the application and use it for free during the trial period. To continue using RadioCaster after the trial is over, you must buy a registration key.

To register RadioCaster, follow the steps below:

1. Go to www.djsoft.net and click the Buy button.

Once your order is submitted and processed, a message with the registration data will be sent to your email address specified during the registration.

2. Open RadioCaster, and select Help -> Enter registration code... in the top menu bar.

3. A dialog prompting you to enter a registration key will open:

4. Enter your registration key. It is advisable to copy and paste the code from the email message.

5. Click OK. Now your copy of the application is registered and all limitations are removed.

If you have updated the program, select Help -> Enter registration code and enter the key you received.


Quick Start

This section will help you start working with the program.

1. Start RadioCaster.

2. In the top menu click RadioCaster -> Settings...

3. Select a source for the broadcasted audio.

4. Select a method for updating track names (metadata).

5. Configure broadcast.


Setting up encoders

To broadcast an Internet radio, follow the steps below:

To add a new encoder, click the “+” button in the main window.

The encoder window will open:

You can use the Configuration Wizard or enter all connection details manually.

Server address and password are provided by your stream hosting provider (unless you are using your own server). You can usually find this information on the hosting control panel.

If you don't have a hosting radio, you can get it on the website: http://www.radioboss.fm/

Metadata encoding: It is recommended to leave the “Auto” setting, which works fine in most cases.

Sample rate, Encoder type, Bitrate, and Channels set the broadcasting format. Please consult with your stream hosting provider about which format to use. If you are not sure, leave the default one: 44100 MP3 128kbps stereo.

The Station Info tab allows you to override the global station information for the encoder.

Once you have entered all the settings, click OK. The encoder will be added to the encoders list.

In the main Encoders menu check the boxes next to the servers you would like to use.

On successful connection, the report (button in the bottom) will show the following message: Connected to server! (output N). It means that listeners can connect to the streaming server and listen to your radio.

If the setup is incorrect, RadioCaster will show an error message in the report. The error message will describe the problem and show the number of the encoder that failed to start (e.g. “output 1”).

If this is the case, open the Settings window, select that encoder in the list, and click the Edit button to fix the configuration.

You can view audience statistics in the Status window. To open it, click the button Status in the main window.

Most common error messages:

Cannot start broadcasting (output N): Error 2100

The specified password is incorrect. Please check the password.

Cannot start broadcasting (output N): Error 2

The server is not available or the specified server address is incorrect. The problem is probably caused by entering an incorrect address or port. Unless you are using Windows Media Services, make sure that there is no “http://” or “ftp://” in the server address.

Other reasons: Some anti-virus software or a firewall is blocking the connection, or no network connection is present.

Cannot start broadcasting (output N): Error -1

The most common reason for this error: Someone is already connected to the server.


Statistic Relays

The function allows to customize the method of obtaining statistics (number of connected listeners).

By default, statistics are taken from the broadcast server. This doesn’t require any additional setup.

You can also obtain statistics from another server. This can be useful, when broadcasting is maintained by one server, while listeners are connected to the other one: such situation is typical of distributed servers, or systems that support auto DJ, or multiple DJs broadcast from different locations.

To retrieve statistics without broadcasting to the server, on the Connection tab leave the Server field empty.

To obtain statistics from another server, double click the connection in the list to edit it, and choose Statistics tab.

Choose a server type – Shoutcast or Icecast; this is the type of server, from which statistics are obtained.

In the Server field, enter server address (without http://), e.g.: example.com:9000.

Password is a server password, which is either admin password or broadcasting password, depending on the server.

Mount Point/Stream ID is the mount name (which is necessary for Icecast) or stream ID for Shoutcast (if ID is not specified, total number of listeners at the server is returned).

If everything has been set up correctly, the main window of the program shows number of listeners.


Sources

Configuring the source:

Click RadioCaster -> Settings in the menu.

Click the Change button in the Source category.

Select a suitable sound source.

·Capture playback - the source will be whatever is being played on the computer via the selected sound card.

·Sound card input - broadcast from sound card input (e.g. line-in or microphone input).

·Network stream - there will be a broadcast of the online stream. Enter the stream's URL in the URL field.

Sample rate - sample rate in Hz, 44100 is the default.


Metadata

To change your metadata settings, select RadioCaster -> Settings in the menu.

RadioCaster can use several sources when updating a track name:

Read from file - a name read from the file will be sent to the server. If the "Only use first line" option is enabled, only the first line will be used as a name. Otherwise the entire contents of the file will be used.

Read from URL - a query will be made to the address indicated, and the text received will be used as the name for the current track.

Use text - use the entered text.

Read metadata from stream - if a different stream is being rebroadcast, the name will be transferred from the rebroadcasted stream. The "Include stream name" option enables or disables the name of the rebroadcasted stream.


Custom encoders

Custom encoders feature allows you to use any custom command line encoders. RadioCaster can use any command line encoder that supports input/output to console.

To configure custom encoders, in the menu click RadioCaster -> Custom Encoders...

Encoder command line parameters can include the following variables (the values correspond to the encoder settings in RadioCaster):

{SampleRate} - sample rate in Hz (e.g. 44100)

{KSampleRate} - sample rate in kHz (e.g. 44.1)

{Bitrate} - bitrate in kbps (e.g. 128)

{Channels} - number of channels (e.g. 2)

The encoder must be told (via the command-line) to expect input from STDIN, rather than a file, and to send output to STDOUT.

The MIME type depends on the encoder file format.

RadioCaster sends 16-bit signed int PCM data to encoder, Little-Endian.

Example: command line for lame.exe MP3 encoder

path_to_lame\lame.exe -r -s {KSampleRate} -b {Bitrate} --resample {KSampleRate} - -

Example: command line to send uncompressed RAW PCM. pcmraw.exe encoder is located in the Plugins folder where you have installed RadioCaster (default C:\Program Files (x86)\RadioCaster)

C:\Program Files (x86)\RadioBOSS\Plugins\pcmraw.exe - -


Contacts

 Top Previous

If you have questions about RadioCaster, suggestions on how to improve the software, or you found a bug, please visit our support page: http://www.djsoft.net/enu/support.htm or forums: http://www.djsoft.net/smf/

The latest version of the program can be downloaded from http://www.djsoft.net